Gentoo Archives: gentoo-dev

From: Duncan <1i5t5.duncan@×××.net>
To: gentoo-dev@l.g.o
Subject: [gentoo-dev] Re: New ebuild metadata to mark how robust the package is?
Date: Mon, 26 Oct 2009 21:50:21
Message-Id: pan.2009.10.26.21.49.26@cox.net
In Reply to: Re: [gentoo-dev] Re: New ebuild metadata to mark how robust the package is? by Ladislav Laska
Ladislav Laska posted on Mon, 26 Oct 2009 13:55:51 +0100 as excerpted:

> I have created mentioned file and run emerge, but I've got > > $ sudo emerge -av @critical > !!! '@critical' is not a valid package atom. !!! Please check ebuild(5) > for full details > > And I have no idea why. Also, I'm using portage 2.1.7.1. I guess this is > new feature in 2.2?
Yes. Sets were left for 2.2, as the implementation wasn't quite ready for 2.1 stability. (As I understand it, there's multiple set implementations, and before sets become available as in-tree kde install options, for instance, they needed some reconciliation and possible PMS/ EAPI approval.) -- Duncan - List replies preferred. No HTML msgs. "Every nonfree program has a lord, a master -- and if you use the program, he is your master." Richard Stallman